Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Class HiddenFileFilter

    java.lang.Object
      org.apache.commons.io.filefilter.AbstractFileFilter
          org.apache.commons.io.filefilter.HiddenFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class HiddenFileFilter

extends AbstractFileFilter
implements Serializable

This filter accepts `File`s that are hidden.

Example, showing how to print out a list of the current directory's hidden files:

     File dir = new File(".");
     String[] files = dir.list( HiddenFileFilter.HIDDEN );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Example, showing how to print out a list of the current directory's visible (i.e. not hidden) files:

     File dir = new File(".");
     String[] files = dir.list( HiddenFileFilter.VISIBLE );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Since:
  1.3
Version:
  $Id: HiddenFileFilter.java 1307462 2012-03-30 15:13:11Z ggregory $
See Also:
  Serialized Form

Field Summary
`static IOFileFilter` | `HIDDEN` Singleton instance of hidden filter
`static IOFileFilter` | `VISIBLE` Singleton instance of visible filter

Constructor Summary
`protected` | `HiddenFileFilter()` Restrictive consructor.

Method Summary
`boolean` | `accept(File file)` Checks to see if the file is hidden.

Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter
`accept, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HIDDEN

    public static final IOFileFilter HIDDEN

  Singleton instance of hidden filter

### VISIBLE

    public static final IOFileFilter VISIBLE

  Singleton instance of visible filter

Constructor Detail

### HiddenFileFilter

    protected HiddenFileFilter()

  Restrictive consructor.

Method Detail

### accept

    public boolean accept(File file)

  Checks to see if the file is hidden.

  Specified by:
    `accept` in interface `FileFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the File to check
  Returns:
    `true` if the file is hidden, otherwise `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.